> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task job

> Create a new task job with the specified configuration.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-job-config.json post /job-config/tasks
openapi: 3.0.1
info:
  title: Fusion Job Config API
  description: API for the Job Configuration and History of Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST}
    description: Fusion
    variables:
      FUSION_HOST:
        default: FUSION_HOST
        description: Your environment host.
security: []
tags:
  - name: Manage task jobs
    description: Fetch, create, update, and delete task job configurations.
  - name: Manage all jobs
    description: Fetch, create, update, and delete task jobs and Spark jobs.
  - name: Manage job schedules
    description: Fetch, configure, and reset job schedules.
  - name: Get job histories
    description: Get the history of any job.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /job-config/tasks:
    post:
      tags:
        - Manage task jobs
      summary: Create a task job
      description: Create a new task job with the specified configuration.
      operationId: createEntity
      parameters:
        - name: context
          description: The app to which a job belongs, formatted as `app:APP_NAME`.
          example: app:api-test-app
          in: query
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/BlobDownloadTask'
                - $ref: '#/components/schemas/ServiceCallTask'
                - $ref: '#/components/schemas/SystemLogsCleanupTask'
            example:
              type: blob-download
              id: refresh-autocomplete-blob2
              url: >-
                https://doc.lucidworks.com/autocomplete/5.9/autocomplete_documentation.json
              blobId: autocomplete/autocomplete_documentation.json
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BlobDownloadTask'
                  - $ref: '#/components/schemas/ServiceCallTask'
                  - $ref: '#/components/schemas/SystemLogsCleanupTask'
              example:
                type: blob-download
                id: refresh-autocomplete-blob2
                url: >-
                  https://doc.lucidworks.com/autocomplete/5.9/autocomplete_documentation.json
                blobId: autocomplete/autocomplete_documentation.json
                updates:
                  - userId: admin
                    timestamp: '2025-12-18T19:37:17.920408350Z'
components:
  schemas:
    BlobDownloadTask:
      type: object
      allOf:
        - $ref: '#/components/schemas/Task'
        - type: object
          properties:
            url:
              type: string
            blobId:
              type: string
    ServiceCallTask:
      type: object
      allOf:
        - $ref: '#/components/schemas/Task'
        - type: object
          properties:
            callParams:
              $ref: '#/components/schemas/ConfigCallParams'
    SystemLogsCleanupTask:
      type: object
      allOf:
        - $ref: '#/components/schemas/Task'
        - type: object
          properties:
            collection:
              type: string
            days:
              type: integer
              format: int32
            query:
              type: string
    Task:
      required:
        - type
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      discriminator:
        propertyName: type
    ConfigCallParams:
      type: object
      properties:
        uri:
          type: string
        method:
          type: string
          enum:
            - get
            - put
            - post
            - delete
        queryParams:
          type: object
          additionalProperties:
            type: string
        headers:
          type: object
          additionalProperties:
            type: string
        entity:
          type: string

````